Package org.jmock.expectation

# Class ReturnObjectMap

java.lang.Object
org.jmock.expectation.MockObject
org.jmock.expectation.ReturnObjectMap

All Implemented Interfaces:
  `Verifiable`

public class ReturnObjectMap extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`ReturnObjectMap(String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBooleanValue(String key)`
`int`
`getIntValue(Object key)`
`Object`
`getValue(short key)`
`Object`
`getValue(Object key)`
`void`
`putReturnValue(short key, Object value)`
`void`
`putReturnValue(Object key, boolean value)`
`void`
`putReturnValue(Object key, int value)`
`void`
`putReturnValue(Object key, Object value)`
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class org.jmock.expectation.MockObject

`assertEquals, assertEquals, assertTrue, fail, notImplemented, notYetImplemented, notYetImplemented`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReturnObjectMap

public ReturnObjectMap(String name)

## Method Details

### getValue

public Object getValue(Object key)

### getValue

public Object getValue(short key)

### putReturnValue

public void putReturnValue(Object key, Object value)

### putReturnValue

public void putReturnValue(Object key, int value)

### putReturnValue

public void putReturnValue(short key, Object value)

### putReturnValue

public void putReturnValue(Object key, boolean value)

### getIntValue

public int getIntValue(Object key)

### getBooleanValue

public boolean getBooleanValue(String key)

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.

Specified by:
  `verify` in interface `Verifiable`
Overrides:
  `verify` in class `MockObject`